Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Michael Heerdegen <[email-masked]>
Date: Tue, 08 Dec 2020 02:07:10 +0100

Michael Heerdegen <[email-masked]> writes:

> > Compliance!
> >
> >   (gdb) call (int)malloc_info (0, stdout)
>
> I'm very sorry, but it's gone.

Today, "it" happened again (not sure how many problems were are
discussing here, though).

I had been cleaning my web.de INBOX with Gnus.  Started Gnus, deleted or
moved some messages, shut down, and repeated.  Then I suddenly saw that
our problem was back, Emacs using 6GB or so.  The session is gone now (I
shut it down normally).  I'm sure that at least a significant part of
the problem materialized while using (more or less only) Gnus.

And here is that heap output you wanted:

<malloc version="1">
<heap nr="0">
<sizes>
  <size from="657" to="657" total="2628" count="4"/>
  <size from="673" to="673" total="2019" count="3"/>
  <size from="689" to="689" total="689" count="1"/>
  <size from="705" to="705" total="705" count="1"/>
  <size from="721" to="721" total="721" count="1"/>
  <size from="737" to="737" total="1474" count="2"/>
  <size from="753" to="753" total="2259" count="3"/>
  <size from="785" to="785" total="1570" count="2"/>
  <size from="801" to="801" total="801" count="1"/>
  <size from="817" to="817" total="817" count="1"/>
  <size from="833" to="833" total="1666" count="2"/>
  <size from="897" to="897" total="1794" count="2"/>
  <size from="961" to="961" total="961" count="1"/>
  <size from="977" to="977" total="1954" count="2"/>
  <size from="993" to="993" total="993" count="1"/>
  <size from="1182753" to="1182753" total="1182753" count="1"/>
  <unsorted from="527265" to="527265" total="527265" count="1"/>
</sizes>
<total type="fast" count="0" size="0"/>
<total type="rest" count="30" size="1832141"/>
<system type="current" size="7946854400"/>
<system type="max" size="7946854400"/>
<aspace type="total" size="7946854400"/>
<aspace type="mprotect" size="7946854400"/>
</heap>
<heap nr="1">
<sizes>
  <size from="17" to="32" total="32" count="1"/>
  <size from="33" to="48" total="96" count="2"/>
  <size from="65" to="80" total="80" count="1"/>
  <unsorted from="481" to="657" total="1138" count="2"/>
</sizes>
<total type="fast" count="4" size="208"/>
<total type="rest" count="3" size="132722"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
<aspace type="subheaps" size="1"/>
</heap>
<heap nr="2">
<sizes>
  <size from="17" to="32" total="704" count="22"/>
  <size from="33" to="48" total="192" count="4"/>
  <size from="97" to="112" total="112" count="1"/>
</sizes>
<total type="fast" count="27" size="1008"/>
<total type="rest" count="1" size="101424"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
<aspace type="subheaps" size="1"/>
</heap>
<heap nr="3">
<sizes>
  <size from="17" to="32" total="608" count="19"/>
  <size from="33" to="48" total="96" count="2"/>
  <size from="97" to="112" total="112" count="1"/>
  <unsorted from="513" to="513" total="513" count="1"/>
</sizes>
<total type="fast" count="22" size="816"/>
<total type="rest" count="2" size="48289"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
<aspace type="subheaps" size="1"/>
</heap>
<heap nr="4">
<sizes>
</sizes>
<total type="fast" count="0" size="0"/>
<total type="rest" count="1" size="132240"/>
<system type="current" size="135168"/>
<system type="max" size="135168"/>
<aspace type="total" size="135168"/>
<aspace type="mprotect" size="135168"/>
<aspace type="subheaps" size="1"/>
</heap>
<total type="fast" count="53" size="2032"/>
<total type="rest" count="37" size="2246816"/>
<total type="mmap" count="11" size="305704960"/>
<system type="current" size="7947395072"/>
<system type="max" size="7947395072"/>
<aspace type="total" size="7947395072"/>
<aspace type="mprotect" size="7947395072"/>
</malloc>

HTH,

Michael.